#
# spec file for package gmerlin-effectv
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2008-2010 oc2pus
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _prefix /usr
%define rev     4256
%define pkg_name gmerlin_effectv
Name:           gmerlin-effectv
Version:        1.2.0
Release:        1699.3.pm.2
Summary:        This package contains most effects from EffecTV for gmerlin
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Utilities
Url:            http://gmerlin.sourceforge.net/
# svn co http://svn.code.sf.net/p/gmerlin/code/trunk/gmerlin_effectv/
Source0:        %{name}-%{rev}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkgconfig >= 0.9
BuildRequires:  pkgconfig(gmerlin) >= 1.2.0
BuildRequires:  pkgconfig(libcdio)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains most effects from EffecTV ported to gmerlin
(see http://effectc.sourceforge.net)

Missing Effects are mostly the ones, which do things, which cannot
be done within a generic filter API.

%prep
%setup -q -n %{pkg_name}

%build
./autogen.sh
%ifarch %{ix86} x86_64
params=--with-cpuflags=-march=core2
%endif
%ifarch aarch64
params=--with-cpuflags=-march=armv8-a
%endif
%configure $params
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

%find_lang %{name}

find %{buildroot} -type f -name "*.la" -delete -print

%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog COPYING README
%dir %{_libdir}/gmerlin
%dir %{_libdir}/gmerlin/plugins
%{_libdir}/gmerlin/plugins/*.so

%changelog
* Fri Sep  8 2023 Bernhard M. Wiedemann <packmanbmw@lsmod.de>
- Always build for core2/armv8-a instead of a random build-machine CPU (boo#1100677)
* Thu Feb 26 2015 avvissu@yandex.ru
- Update to rsvn4256
- Use pkgconfig in package names
- Spec file cleanup
* Fri Mar 28 2014 seife+obs@b1-systems.com
- update to 1.2.0
* Sat May 19 2012 seife+obs@b1-systems.com
- remove obsolete %%suse_update_config and %%suse_update_libdir
  to fix build on > 12.1
- add automake/autoconf/libtool buildrequires
* Thu Mar 10 2011 detlef@links2linux.de
- update to 1.1.3
* Thu Feb 25 2010 toni@links2linux.de
- update to 1.1.2
* Mon Oct 19 2009 toni@links2linux.de
- update to 1.1.1
* Wed Dec 17 2008 toni@links2linux.de
- update to 1.1.0
* Fri Jul 25 2008 toni@links2linux.de
- initial version 1.0.0
